Skip to main content
📌 Note: For the GPU catalog, spec filter parameters, and full GPU specs endpoints, see the SiliconNavigator API page.

POST /api/data-hub/gpu/specs-list

Get all GPU products (with their product IDs) that have price data available.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Responses

  • 200: Successful Response

POST /api/data-hub/gpu/specs-query

Get GPU products (with their product IDs) that have price data available, filtered by a search keyword.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Request Body

The request body must be in application/json format. All fields are optional.

Request Example

Responses

  • 200: Successful Response
  • 422: Validation Error

POST /api/data-hub/gpu/latest/price

Get the latest available price for each GPU, country, and price type.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Request Body

The request body must be in application/json format. All fields are optional.

Request Example

Responses

  • 200: Successful Response
  • 422: Validation Error

POST /api/data-hub/gpu/history/price

Get the historical price series for a GPU over a date range.

Authorization

🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token

Request Body

The request body must be in application/json format.

Request Example

Responses

  • 200: Successful Response
  • 422: Validation Error